# Review: https://bugzilla.redhat.com/show_bug.cgi?id=549223

Name:           ignuit
Version:        0.0.16
Release:        2%{?dist}
Summary:        Memorization aid based on the Leitner flashcard system

Group:          Applications/Productivity
License:        GPLv3+ and GPLv2
URL:            http://crash.ihug.co.nz/~trmusson/programs.html
Source0:        http://crash.ihug.co.nz/~trmusson/stuff/ignuit-0.0.16.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gstreamer-devel >= 0.10.18
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  intltool >= 0.40.0
BuildRequires:  libglade2-devel >= 2.6.2
BuildRequires:  libgnomeui-devel >= 2.22.0
BuildRequires:  libxslt-devel >= 1.1.22
BuildRequires:  rarian-compat
BuildRequires:  desktop-file-utils
BuildRequires:  GConf2
Requires:       gstreamer-plugins-base
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
Ignuit is a memorization aid based on the Leitner flashcard system. It has a 
GNOME look and feel, a good selection of quiz options, and supports UTF-8. Cards
can include embedded audio, images, and mathematical formulae (via LaTeX). It 
can import and export several file formats, including CSV. Ignuit can be used 
for both long-term learning and cramming.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
%find_lang %{name}
desktop-file-install                                    \
    --remove-key="Encoding"                             \
    --remove-key="MimeType"                             \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%gconf_schema_prepare %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%gconf_schema_upgrade %{name}


%preun
%gconf_schema_remove %{name}


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.extras NEWS README TODO examples
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/omf/%{name}/


%changelog
* Sat Feb 19 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.16-2
- Fix license tag
- Drop texinfo.tex from %%doc
- Remove "Encoding" and "MimeType" from ignuit.desktop

* Mon Jan 03 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.0.16-1
- Initial packaging
